---
search:
  tags:
    - Products
    - PATCH
seo:
  description: >-
    Updates multiple products in a single request. Accepts… Reference for the
    PATCH /api/v1/{team_slug}/{app_slug}/products/bulk endpoint in the
    Management API.
sidebar:
  label: Bulk update products
  badge: PATCH
title: Bulk update products
type: openapi-operation
---
Updates multiple products in a single request. Accepts up to 20 product updates and returns lists of successful and failed updates with detailed error reasons.

`PATCH /api/v1/{team_slug}/{app_slug}/products/bulk`

**Request body** (`application/json`, required)

Product data

- `products` (internal_pkg_webserver_v1.BulkPatchProductItem[], required)

Request body example:

```json
{
  "products": [
    {
      "brand_id": "string",
      "custom": {
        "property1": "string",
        "property2": "string"
      },
      "description": "string",
      "exclude_from_feeds": true,
      "html_description": "string",
      "html_short_description": "string",
      "id": "string",
      "market_status": [
        {
          "market_id": "string",
          "status": "active",
          "store_group_id": "string"
        }
      ],
      "meta_description": "string",
      "meta_title": "string",
      "package_dimensions": {
        "capacity_milliliter": 0,
        "depth": 0,
        "diameter": 0,
        "height": 0,
        "length": 0,
        "weight": 0,
        "width": 0
      },
      "product_dimensions": {
        "capacity_milliliter": 0,
        "depth": 0,
        "diameter": 0,
        "height": 0,
        "length": 0,
        "weight": 0,
        "width": 0
      },
      "product_name": "string",
      "product_type": "flexible",
      "short_description": "string",
      "slug": "string",
      "status": "active",
      "tax_group_slug": "string"
    }
  ]
}
```

**Responses**

- `200` — Products updated successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "failed": [
      {
        "id": "string",
        "reason": "string"
      }
    ],
    "successful": [
      {
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "brand": {
          "address": {
            "city": "string",
            "co_address": "string",
            "country": "string",
            "house_number": "string",
            "postal_code": "string",
            "state_province": "string",
            "street_address": "string"
          },
          "email": "string",
          "id": "string",
          "name": "string",
          "series": {
            "id": "string",
            "name": "string",
            "slug": "string"
          },
          "slug": "string"
        },
        "categories": [
          {
            "attributes": [
              {
                "created_at": "string",
                "description": "string",
                "filterable": true,
                "id": "string",
                "key": "string",
                "name": "string",
                "template_key": "string",
                "template_name": "string",
                "translatable": true,
                "translations": {
                  "description": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "name": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "updated_at": "string",
                "values": {
                  "property1": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  },
                  "property2": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  }
                }
              }
            ],
            "children": [
              {
                "attributes": [
                  {
                    "created_at": "string",
                    "description": "string",
                    "filterable": true,
                    "id": "string",
                    "key": "string",
                    "name": "string",
                    "template_key": "string",
                    "template_name": "string",
                    "translatable": true,
                    "translations": {
                      "description": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ],
                      "name": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "updated_at": "string",
                    "values": {
                      "property1": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      },
                      "property2": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      }
                    }
                  }
                ],
                "children": [
                  {}
                ],
                "cover_url": "string",
                "created_at": "string",
                "description": "string",
                "google_product_category_id": "string",
                "id": "string",
                "name": "string",
                "parent_id": "string",
                "redirects": [
                  {
                    "id": "string",
                    "item_id": "string",
                    "locale": "string",
                    "new_slug": "string",
                    "old_slug": "string",
                    "type": "product"
                  }
                ],
                "seo": {
                  "meta_description": "string",
                  "meta_title": "string"
                },
                "slug": "string",
                "sort_order": 0,
                "status": "string",
                "translations": {
                  "description": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "meta_description": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "meta_title": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "name": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "slug": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "updated_at": "string",
                "uri": "string"
              }
            ],
            "cover_url": "string",
            "created_at": "string",
            "description": "string",
            "google_product_category_id": "string",
            "id": "string",
            "is_main_category": true,
            "name": "string",
            "order": 0,
            "parent_id": "string",
            "redirects": [
              {
                "id": "string",
                "item_id": "string",
                "locale": "string",
                "new_slug": "string",
                "old_slug": "string",
                "type": "product"
              }
            ],
            "seo": {
              "meta_description": "string",
              "meta_title": "string"
            },
            "slug": "string",
            "sort_order": 0,
            "status": "string",
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "meta_description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "meta_title": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "slug": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "uri": "string"
          }
        ],
        "channel_statuses": [
          {
            "channel_id": "string",
            "channel_slug": "string",
            "status": "string"
          }
        ],
        "collections": [
          {
            "children": [
              {
                "children": [
                  {}
                ],
                "created_at": "string",
                "id": "string",
                "parent_id": "string",
                "redirects": [
                  {
                    "id": "string",
                    "item_id": "string",
                    "locale": "string",
                    "new_slug": "string",
                    "old_slug": "string",
                    "type": "product"
                  }
                ],
                "slug": "string",
                "status": "active",
                "title": "string",
                "translations": {
                  "slug": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "title": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "updated_at": "string",
                "uri": "string"
              }
            ],
            "created_at": "string",
            "id": "string",
            "order": 0,
            "parent_id": "string",
            "redirects": [
              {
                "id": "string",
                "item_id": "string",
                "locale": "string",
                "new_slug": "string",
                "old_slug": "string",
                "type": "product"
              }
            ],
            "slug": "string",
            "status": "active",
            "title": "string",
            "translations": {
              "slug": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "title": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "uri": "string"
          }
        ],
        "created_at": "string",
        "custom": {
          "property1": "string",
          "property2": "string"
        },
        "description": "string",
        "exclude_from_feeds": true,
        "files": [
          {
            "attributes": [
              {
                "created_at": "string",
                "description": "string",
                "filterable": true,
                "id": "string",
                "key": "string",
                "name": "string",
                "template_key": "string",
                "template_name": "string",
                "translatable": true,
                "translations": {
                  "description": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "name": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "updated_at": "string",
                "values": {
                  "property1": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  },
                  "property2": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  }
                }
              }
            ],
            "created_at": "string",
            "folder_id": "string",
            "id": "string",
            "public": true,
            "title": "string",
            "translations": {
              "title": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "type": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "updated_at": "string",
            "url": "string"
          }
        ],
        "html_description": "string",
        "html_short_description": "string",
        "id": "string",
        "images": [
          {
            "alt": "string",
            "app_id": "string",
            "attributes": [
              {
                "created_at": "string",
                "description": "string",
                "filterable": true,
                "id": "string",
                "key": "string",
                "name": "string",
                "template_key": "string",
                "template_name": "string",
                "translatable": true,
                "translations": {
                  "description": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "name": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "updated_at": "string",
                "values": {
                  "property1": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  },
                  "property2": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  }
                }
              }
            ],
            "blurhash": "string",
            "copyright": "string",
            "custom": {
              "property1": "string",
              "property2": "string"
            },
            "folder_id": "string",
            "id": "string",
            "parent_id": "string",
            "priority": 0,
            "public": true,
            "status": "string",
            "title": "string",
            "translations": {
              "alt": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "copyright": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "title": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "url": "string"
          }
        ],
        "market_status": [
          {
            "created_at": "string",
            "market_id": "string",
            "market_slug": "string",
            "status": "string",
            "store_group_id": "string",
            "store_group_slug": "string",
            "updated_at": "string"
          }
        ],
        "markets": [
          {
            "active": true,
            "country_codes": [
              "string"
            ],
            "created_at": "string",
            "currency_code": "string",
            "id": "string",
            "locale": "string",
            "name": "string",
            "slug": "string",
            "updated_at": "string"
          }
        ],
        "meta_description": "string",
        "meta_title": "string",
        "package_dimensions": {
          "capacity_milliliter": 0,
          "depth": 0,
          "diameter": 0,
          "height": 0,
          "length": 0,
          "weight": 0,
          "width": 0
        },
        "product_dimensions": {
          "capacity_milliliter": 0,
          "depth": 0,
          "diameter": 0,
          "height": 0,
          "length": 0,
          "weight": 0,
          "width": 0
        },
        "product_name": "string",
        "product_number": "string",
        "product_type": "string",
        "redirects": [
          {
            "id": "string",
            "item_id": "string",
            "locale": "string",
            "new_slug": "string",
            "old_slug": "string",
            "type": "product"
          }
        ],
        "relations": [
          {
            "direction": "string",
            "id": "string",
            "primary_product_id": "string",
            "products": [
              {
                "description": "string",
                "id": "string",
                "image_url": "string",
                "product_name": "string",
                "product_number": "string",
                "slug": "string"
              }
            ],
            "title": "string",
            "type": "string",
            "type_id": "string"
          }
        ],
        "schedules": [
          {
            "add_category_names": [
              "string"
            ],
            "add_collection_names": [
              "string"
            ],
            "add_tag_names": [
              "string"
            ],
            "execute_at": "string",
            "finished_at": "string",
            "group_id": "string",
            "id": "string",
            "item_id": "string",
            "item_name": "string",
            "item_type": "string",
            "remove_category_names": [
              "string"
            ],
            "remove_collection_names": [
              "string"
            ],
            "remove_tag_names": [
              "string"
            ],
            "to_amount_cents_with_tax": 0,
            "to_market_id": "string",
            "to_market_status": "string",
            "to_on_sale": true,
            "to_sale_amount_cents_with_tax": 0,
            "to_start_sale_timestamp": "string",
            "to_status": "string",
            "to_stop_sale_timestamp": "string",
            "to_store_group_id": "string"
          }
        ],
        "short_description": "string",
        "slug": "string",
        "status": "string",
        "tags": [
          {
            "attributes": [
              {
                "created_at": "string",
                "description": "string",
                "filterable": true,
                "id": "string",
                "key": "string",
                "name": "string",
                "template_key": "string",
                "template_name": "string",
                "translatable": true,
                "translations": {
                  "description": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "name": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "updated_at": "string",
                "values": {
                  "property1": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  },
                  "property2": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  }
                }
              }
            ],
            "created_at": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "markets": [
              {
                "active": true,
                "country_codes": [
                  "string"
                ],
                "created_at": "string",
                "currency_code": "string",
                "id": "string",
                "locale": "string",
                "name": "string",
                "slug": "string",
                "updated_at": "string"
              }
            ],
            "name": "string",
            "order": 0,
            "schedules": [
              {
                "add_category_names": [
                  "string"
                ],
                "add_collection_names": [
                  "string"
                ],
                "add_tag_names": [
                  "string"
                ],
                "execute_at": "string",
                "finished_at": "string",
                "group_id": "string",
                "id": "string",
                "item_id": "string",
                "item_name": "string",
                "item_type": "string",
                "remove_category_names": [
                  "string"
                ],
                "remove_collection_names": [
                  "string"
                ],
                "remove_tag_names": [
                  "string"
                ],
                "to_amount_cents_with_tax": 0,
                "to_market_id": "string",
                "to_market_status": "string",
                "to_on_sale": true,
                "to_sale_amount_cents_with_tax": 0,
                "to_start_sale_timestamp": "string",
                "to_status": "string",
                "to_stop_sale_timestamp": "string",
                "to_store_group_id": "string"
              }
            ],
            "status": "string",
            "translations": {
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string"
          }
        ],
        "tax_group_id": "string",
        "third_part_links": [
          {
            "created_at": "string",
            "id": "string",
            "title": "string",
            "type": "string",
            "updated_at": "string",
            "url": "string"
          }
        ],
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "html_description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "html_short_description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "meta_description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "meta_title": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "short_description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "slug": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "variant_groups": [
          {
            "attributes": [
              {
                "attribute_id": "string",
                "attribute_key": "string",
                "attribute_name": "string",
                "template_key": "string",
                "template_name": "string"
              }
            ],
            "channel_statuses": [
              {
                "channel_id": "string",
                "channel_slug": "string",
                "status": "string"
              }
            ],
            "created_at": "string",
            "description": "string",
            "id": "string",
            "images": [
              {
                "alt": "string",
                "app_id": "string",
                "attributes": [
                  {
                    "created_at": "string",
                    "description": "string",
                    "filterable": true,
                    "id": "string",
                    "key": "string",
                    "name": "string",
                    "template_key": "string",
                    "template_name": "string",
                    "translatable": true,
                    "translations": {
                      "description": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ],
                      "name": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "updated_at": "string",
                    "values": {
                      "property1": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      },
                      "property2": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      }
                    }
                  }
                ],
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "priority": 0,
                "public": true,
                "status": "string",
                "title": "string",
                "translations": {
                  "alt": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "copyright": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "title": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "url": "string"
              }
            ],
            "name": "string",
            "priority": 0,
            "product_id": "string",
            "slug": "string",
            "tags": [
              {
                "attributes": [
                  {
                    "created_at": "string",
                    "description": "string",
                    "filterable": true,
                    "id": "string",
                    "key": "string",
                    "name": "string",
                    "template_key": "string",
                    "template_name": "string",
                    "translatable": true,
                    "translations": {
                      "description": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ],
                      "name": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "updated_at": "string",
                    "values": {
                      "property1": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      },
                      "property2": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      }
                    }
                  }
                ],
                "created_at": "string",
                "filterable": true,
                "id": "string",
                "key": "string",
                "markets": [
                  {
                    "active": true,
                    "country_codes": [
                      "string"
                    ],
                    "created_at": "string",
                    "currency_code": "string",
                    "id": "string",
                    "locale": "string",
                    "name": "string",
                    "slug": "string",
                    "updated_at": "string"
                  }
                ],
                "name": "string",
                "order": 0,
                "schedules": [
                  {
                    "add_category_names": [
                      "string"
                    ],
                    "add_collection_names": [
                      "string"
                    ],
                    "add_tag_names": [
                      "string"
                    ],
                    "execute_at": "string",
                    "finished_at": "string",
                    "group_id": "string",
                    "id": "string",
                    "item_id": "string",
                    "item_name": "string",
                    "item_type": "string",
                    "remove_category_names": [
                      "string"
                    ],
                    "remove_collection_names": [
                      "string"
                    ],
                    "remove_tag_names": [
                      "string"
                    ],
                    "to_amount_cents_with_tax": 0,
                    "to_market_id": "string",
                    "to_market_status": "string",
                    "to_on_sale": true,
                    "to_sale_amount_cents_with_tax": 0,
                    "to_start_sale_timestamp": "string",
                    "to_status": "string",
                    "to_stop_sale_timestamp": "string",
                    "to_store_group_id": "string"
                  }
                ],
                "status": "string",
                "translations": {
                  "name": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "updated_at": "string"
              }
            ],
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "slug": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "variants": [
              {
                "id": "string",
                "status": "string",
                "variant_name": "string",
                "variant_number": "string"
              }
            ],
            "videos": [
              {
                "attributes": [
                  {
                    "created_at": "string",
                    "description": "string",
                    "filterable": true,
                    "id": "string",
                    "key": "string",
                    "name": "string",
                    "template_key": "string",
                    "template_name": "string",
                    "translatable": true,
                    "translations": {
                      "description": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ],
                      "name": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "updated_at": "string",
                    "values": {
                      "property1": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      },
                      "property2": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      }
                    }
                  }
                ],
                "description": "string",
                "folder_id": "string",
                "id": "string",
                "path": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "translations": {
                  "description": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "title": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "variants": [
                  {
                    "format": "string",
                    "height": 0,
                    "url": "string",
                    "width": 0
                  }
                ]
              }
            ]
          }
        ],
        "variants": [
          {
            "attributes": [
              {
                "created_at": "string",
                "description": "string",
                "filterable": true,
                "id": "string",
                "key": "string",
                "name": "string",
                "template_key": "string",
                "template_name": "string",
                "translatable": true,
                "translations": {
                  "description": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "name": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "updated_at": "string",
                "values": {
                  "property1": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  },
                  "property2": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  }
                }
              }
            ],
            "created_at": "string",
            "custom_fields": {
              "property1": "string",
              "property2": "string"
            },
            "id": "string",
            "images": [
              {
                "alt": "string",
                "app_id": "string",
                "attributes": [
                  {
                    "created_at": "string",
                    "description": "string",
                    "filterable": true,
                    "id": "string",
                    "key": "string",
                    "name": "string",
                    "template_key": "string",
                    "template_name": "string",
                    "translatable": true,
                    "translations": {
                      "description": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ],
                      "name": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "updated_at": "string",
                    "values": {
                      "property1": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      },
                      "property2": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      }
                    }
                  }
                ],
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "priority": 0,
                "public": true,
                "status": "string",
                "title": "string",
                "translations": {
                  "alt": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "copyright": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "title": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "url": "string"
              }
            ],
            "listings": {
              "smart": [
                {
                  "id": "string",
                  "slug": "string"
                }
              ],
              "static": [
                {
                  "id": "string",
                  "slug": "string"
                }
              ]
            },
            "parent_product_id": "string",
            "purchase_price": {
              "currency": "string",
              "value_cents": 0
            },
            "shipping_attributes": [
              "string"
            ],
            "status": "string",
            "store_group": [
              {
                "created_at": "string",
                "id": "string",
                "name": "string",
                "prices": [
                  {
                    "amount_cents_with_tax": 0,
                    "created_at": "string",
                    "id": "string",
                    "market": {
                      "active": true,
                      "country_codes": [
                        "string"
                      ],
                      "created_at": "string",
                      "currency_code": "string",
                      "id": "string",
                      "locale": "string",
                      "name": "string",
                      "slug": "string",
                      "updated_at": "string"
                    },
                    "on_sale": true,
                    "reference_price_with_tax": 0,
                    "sale_end_timestamp": "string",
                    "sale_price_with_tax": 0,
                    "sale_start_timestamp": "string",
                    "status": "active",
                    "updated_at": "string"
                  }
                ],
                "slug": "string",
                "store_type": "string",
                "updated_at": "string"
              }
            ],
            "tags": [
              {
                "attributes": [
                  {
                    "created_at": "string",
                    "description": "string",
                    "filterable": true,
                    "id": "string",
                    "key": "string",
                    "name": "string",
                    "template_key": "string",
                    "template_name": "string",
                    "translatable": true,
                    "translations": {
                      "description": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ],
                      "name": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "updated_at": "string",
                    "values": {
                      "property1": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      },
                      "property2": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      }
                    }
                  }
                ],
                "created_at": "string",
                "filterable": true,
                "id": "string",
                "key": "string",
                "markets": [
                  {
                    "active": true,
                    "country_codes": [
                      "string"
                    ],
                    "created_at": "string",
                    "currency_code": "string",
                    "id": "string",
                    "locale": "string",
                    "name": "string",
                    "slug": "string",
                    "updated_at": "string"
                  }
                ],
                "name": "string",
                "schedules": [
                  {
                    "add_category_names": [
                      "string"
                    ],
                    "add_collection_names": [
                      "string"
                    ],
                    "add_tag_names": [
                      "string"
                    ],
                    "execute_at": "string",
                    "finished_at": "string",
                    "group_id": "string",
                    "id": "string",
                    "item_id": "string",
                    "item_name": "string",
                    "item_type": "string",
                    "remove_category_names": [
                      "string"
                    ],
                    "remove_collection_names": [
                      "string"
                    ],
                    "remove_tag_names": [
                      "string"
                    ],
                    "to_amount_cents_with_tax": 0,
                    "to_market_id": "string",
                    "to_market_status": "string",
                    "to_on_sale": true,
                    "to_sale_amount_cents_with_tax": 0,
                    "to_start_sale_timestamp": "string",
                    "to_status": "string",
                    "to_stop_sale_timestamp": "string",
                    "to_store_group_id": "string"
                  }
                ],
                "status": "string",
                "translations": {
                  "name": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "updated_at": "string"
              }
            ],
            "translations": {
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "validate_stock": true,
            "variant_dimensions": {
              "capacity_milliliter": 0,
              "depth": 0,
              "diameter": 0,
              "height": 0,
              "length": 0,
              "weight": 0,
              "width": 0
            },
            "variant_group_id": "string",
            "variant_name": "string",
            "variant_number": "string",
            "videos": [
              {
                "attributes": [
                  {
                    "created_at": "string",
                    "description": "string",
                    "filterable": true,
                    "id": "string",
                    "key": "string",
                    "name": "string",
                    "template_key": "string",
                    "template_name": "string",
                    "translatable": true,
                    "translations": {
                      "description": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ],
                      "name": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "updated_at": "string",
                    "values": {
                      "property1": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      },
                      "property2": {
                        "field_id": "string",
                        "id": "string",
                        "image_id": "string",
                        "image_object": {
                          "alt": "string",
                          "app_id": "string",
                          "blurhash": "string",
                          "copyright": "string",
                          "custom": {
                            "property1": "string",
                            "property2": "string"
                          },
                          "folder_id": "string",
                          "id": "string",
                          "parent_id": "string",
                          "public": true,
                          "status": "string",
                          "title": "string",
                          "url": "string"
                        },
                        "translations": {
                          "value": [
                            {}
                          ]
                        },
                        "type": "string",
                        "value": "string"
                      }
                    }
                  }
                ],
                "description": "string",
                "folder_id": "string",
                "id": "string",
                "path": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "translations": {
                  "description": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "title": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "variants": [
                  {
                    "format": "string",
                    "height": 0,
                    "url": "string",
                    "width": 0
                  }
                ]
              }
            ],
            "warehouse_variant_stock": [
              {
                "available_online": true,
                "created_at": "string",
                "id": "string",
                "inventory_date": "string",
                "quantity": 0,
                "updated_at": "string",
                "warehouse_name": "string",
                "warehouse_slug": "string"
              }
            ]
          }
        ],
        "videos": [
          {
            "attributes": [
              {
                "created_at": "string",
                "description": "string",
                "filterable": true,
                "id": "string",
                "key": "string",
                "name": "string",
                "template_key": "string",
                "template_name": "string",
                "translatable": true,
                "translations": {
                  "description": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "name": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "updated_at": "string",
                "values": {
                  "property1": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  },
                  "property2": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  }
                }
              }
            ],
            "description": "string",
            "folder_id": "string",
            "id": "string",
            "path": "string",
            "public": true,
            "status": "string",
            "title": "string",
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "title": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "variants": [
              {
                "format": "string",
                "height": 0,
                "url": "string",
                "width": 0
              }
            ]
          }
        ]
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
